Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(3)

Unified Diff: tool/build_sdk.sh

Issue 1154213008: Check for SDK error regressions on presubmit (Closed) Base URL: https://github.com/dart-lang/dev_compiler.git@master
Patch Set: Remove mkdir Created 5 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | tool/sdk_expected_errors.txt » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/build_sdk.sh
diff --git a/tool/build_sdk.sh b/tool/build_sdk.sh
index eebaf22d905fd5766c6aca33b360d42a48bc1654..c72ffee4c81e2247f4375740ba9826680d1877de 100755
--- a/tool/build_sdk.sh
+++ b/tool/build_sdk.sh
@@ -13,8 +13,16 @@ if [[ -d lib/runtime/dart ]] ; then
fi
# TODO(jmesserly): for now we're suppressing errors in SDK compilation
-dart -c bin/devc.dart --no-source-maps --sdk-check --force-compile -l shout \
- --dart-sdk test/generated_sdk -o lib/runtime/ dart:core || true
+dart -c bin/devc.dart --no-source-maps --sdk-check --force-compile -l warning \
+ --dart-sdk test/generated_sdk -o lib/runtime/ dart:core \
+ > test/generated_sdk/sdk_errors.txt || true
+
+if ! diff tool/sdk_expected_errors.txt test/generated_sdk/sdk_errors.txt ; then
+ echo
+ echo 'SDK errors have changed. To update expectations, run:'
+ echo '$ cp test/generated_sdk/sdk_errors.txt tool/sdk_expected_errors.txt'
+ exit 1
+fi
if [[ ! -f lib/runtime/dart/core.js ]] ; then
echo 'core.js not found, assuming build failed.'
« no previous file with comments | « no previous file | tool/sdk_expected_errors.txt » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698